Subject: Re: [PCN] Comments on draft-satoh-pcn-ST-marking-00.txt

From: 佐藤 大輔 <[email-masked]>
Date: Fri, 21 Nov 2008 04:33:19 +0900

Hi Phil and Michael,

> 
> Hi Daisuke,
> your draft is very interesting, and good discussion over the last couple of days!
>  
> here are some questions & comments on your draft, http://www.ietf.org/mail-archive/web/pcn/current/msg01868.html
> i tried to briefly summarise the points i remembered from the WG meeting, as we didn't have time to get to the bottom of them all yesterday.
>  
> 1. Only threshold marking or only excess marking
> With the current draft, if you only have 1 encoding state for PCN-marking, then you have 3 possibilities:
> - just do threshold marking for accurate adm ctrl
> - just do excess marking for accurate flow termination
> - do excess marking (at PCN-admissible-rate) for both admission control (somewhat inaccurately) and flow termination 
> How easy would be to do this with your proposal? or are you basically committed to the third bullet?
>  

-just do threshold marking for both admission control and flow termination.

However, TBthreshold.threshold of our algorithm is set to token bucket size minus  the
metered packet size. PCN-threshold-rate is equal to Supportable rate(Termination
rate).

Furthremore, one-Nth marking is required when PCN traffic is between Admissible rate and
Supportable rate.

> 2. Forward Migration 
> The current marking behaviour is written so that:
> - if you have only one encoding state you can do both admission control (somewhat inaccurately) and flow termination (or you can just do adm ctrl (accurately) or just do flow termination); 
> - but if you later have two encoding states, then you simply mark pkts with both encoding states - no changes needed to the marking behaviour.
> With your draft, what happens if you later have two encoding states? do you need to upgrade your routers with new marking behaviour? or can you do something as simple as with the current WG draft?
>  

I cannot answer it immediately because our algorithm is made on condition that  only
one encoding state is available. If two encoding is available, I guess we do not
have to use ratio of marking to distinguish three congestion states.

Please give me time to think.

>  
> the other 3 issues definitely need more explanation than is below, just trying to quickly capture them (will leave it to others to write properly about them) 
>  
> 3. worry about admission control accuracy
> eg slide 7 of http://www.ietf.org/proceedings/08nov/slides/pcn-8.pdf
> the marking rate vs pkt rate seems to make assumptions about the traffic arriving. eg if it was very smooth traffic (CBR flows, or smoothed by nw) then the graph wouldnt look like this. 
>  

If we measure time average of vacant ratio of server(no packet is in queue  and
there is no processing packet), Little's law guarantees this slide for G/G/1,
that is any arrival process and any service time.

Furethremore, due to PASTA(Poisson arrival see time average), if the arrival  process
is Poisson process, we can measure time average of the vacant ratio of server.
The number of superposition is increased, any renewal process approaches to
Poisson process. Although I know these above, some of non-renewal processes must
approach to Poisson process when the number of superpositions approaches to
infinity. I believe most process approaches to Poisson procee when the
superposition approaches to infinity. Michael, do you know other things?

> 4. distinguishing admission and termination
> although there is only one type of PCN-marking, basically the egress interprets occasional PCN-marks as meaning "adm ctrl" and a series of pkts that are all consecutively marked as "flow termination". an issue might be if the link is actually doing admission marking, ie PCN-marking 1/N pkts, but somehow all the marks happen to the same egress - which therefore interprets them as flow termination. seems like this could happen if the flows are synchronised (eg they're all CBR flows)
>  

I answer it supposing that Egress measure CLE and L-sequential marked packet per
Ingress.

I understand your question is if "adm ctrl" is mis-interpreted as "termination"  when
there are multi-bottleneck links.

The answer is No if operator choose appropriate N and L depending the maximum  number
of links (or maximum number of multi-bottleneck links) between Ingress and Egress.

> 5. flow termination 
> slide 15 shows that you only terminate "y%" at a time, ie at least a round trip time (+measurement intervals) between each batch of "y%" that you terminate. but it's tricky to know what to set "y" to, eg make it big and you can terminate fast, but this also means that you risk over-terminating by a significant amount. 

If PCN traffic is a small quantity over Supportable rate(e.g., PCN traffic  rate
is 101% of supportable rate) and Y is chosen as a big value,  it is true
over-termination happens but this termination leads to an exponential decay of
the PCN excess traffic rate as Michael pointed out.

Best regards,
Daisuke
_______________________________________________
PCN mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pcn